@echo off
echo Building the APK...

:: Navigate to the project directory
cd /d %~dp0

setlocal EnableDelayedExpansion

set "file=app\build.gradle" 
set "old_string=applicationId" 

:: Get the replacement text from the first command-line argument
set "new_applicationId=%1" 

:: Construct the new line using the parameter
set "new_line=        applicationId "%new_applicationId%""

(for /f "delims=" %%a in (%file%) do (
  set "line=%%a"
  echo !line! | findstr /i "%old_string%" > nul
  if !errorlevel! == 0 (
    echo %new_line%
  ) else (
    echo !line!
  )
)) > temp.txt

move /y temp.txt %file%


set "JAVA_HOME=%~dp0\jre" 

:: Build the release APK
echo Building the APK...
call gradlew clean
call gradlew assembleDebug
echo Build Finished

:: echo Signing the APK...
:: Sign the APK (replace with your actual keystore details)
:: jre\bin\jarsigner.exe -verbose -sigalg SHA1withRSA -digestalg SHA1 -keystore "publickeystore.jks" -storepass Ragebot "app\build\outputs\apk\release\app-release-unsigned.apk" Ragebot

:: Align the APK
:: "%ANDROID_HOME%\build-tools\zipalign.exe" -v 4 "app/build/outputs/apk/release/app-release-unsigned.apk" "app/build/outputs/apk/release/app-release.apk"

:: Move the signed APK to the target folder (replace with your desired folder)
:: move /Y "app\build\outputs\apk\release\app-release.apk" "co.rage.idle.apk"

set "target_filename=%new_applicationId%.apk"
move /Y "app\build\outputs\apk\debug\app-debug.apk" "%target_filename%"

:: echo APK built, signed, and moved successfully!

endlocal 